/** Returns callback when scrolling is stopped (via checking scroll position every frame-render)
 * @param {HTMLElement} el HTMLElement to listen for
 * @param {Function} listener Callback invoked on event
 * @returns removeListener callback
 */
export default function onScrollStop(el: HTMLElement, listener: (this: HTMLElement) => void, options?: {
    once?: boolean;
    /** Call once even if scrolling isn't started */
    onceNotStarted?: boolean;
}): () => void;
