type FuncProps<T> = {
    [P in keyof T]: T[P] extends CallableFunction ? P : never;
}[keyof T];
/**
 * Spy on method-call of object
 * @returns reset function; call it to rollback spy
 */
export default function onSpy<T extends object, K extends FuncProps<T>>(obj: T, method: K, callback: (...args: Parameters<T[K]>) => void): () => void;
export {};
